# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "bazaar"
version = "3.4.3"
authors = [
    "Martin Packman <gzlist@googlemail.com>",
    "Jelmer Vernooij <jelmer@jelmer.uk>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust implementation of the Bazaar formats and protocols"
homepage = "https://www.breezy-vcs.org/"
readme = "README.md"
license = "GPL-2.0+"
repository = "https://github.com/breezy-team/bazaar-rs"
resolver = "2"

[features]
default = ["pyo3"]
pyo3 = ["dep:pyo3"]

[lib]
name = "bazaar"
path = "src/lib.rs"

[dependencies.adler]
version = "1.0.2"

[dependencies.base64]
version = "0.22.1"

[dependencies.bendy]
version = "0.6"

[dependencies.byteorder]
version = "1.5.0"

[dependencies.chrono]
version = "0.4"
features = [
    "std",
    "clock",
]
default-features = false

[dependencies.crc32fast]
version = "1.2.0"

[dependencies.fancy-regex]
version = ">=0.7"

[dependencies.flate2]
version = "1.0.28"
features = ["zlib"]
default-features = false

[dependencies.lazy-regex]
version = "3.4.0"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.log]
version = "0.4"

[dependencies.lru]
version = "0.18.0"

[dependencies.maplit]
version = "1.0.2"

[dependencies.memchr]
version = "2.7.4"

[dependencies.patiencediff]
version = "0.2.1"
default-features = false

[dependencies.pyo3]
version = "0.28"
optional = true

[dependencies.rand]
version = "0.9"

[dependencies.regex]
version = "1.3.1"

[dependencies.sha1]
version = "0.10"

[dependencies.tempfile]
version = "3"

[dependencies.unicode-normalization]
version = "0.1.19"

[dependencies.vcs-graph]
version = "3.5.0"

[dependencies.xmltree]
version = "0.12"

[dependencies.xz2]
version = "0.1.7"

[target."cfg(unix)".dependencies.nix]
version = ">=0.26"
features = ["fs"]

[target."cfg(windows)".dependencies.winapi]
version = "0.3"
features = [
    "fileapi",
    "minwindef",
    "winnt",
    "errhandlingapi",
    "minwinbase",
]
